

#include <Servo.h>
#include <HCSR_04.h>
 
Servo monServoA;
Servo monServoB;
Servo monServoC;

int srvA = A1;
int srvB = A2;
int srvC = 8;
int led = 13;

int echo = 3; // yellow
int trig = 2; // green

int randNum = 0;
int speed = 300;

void setup()
{
Serial.begin(9600);
Serial.println("RowBot-S3.01-171001 Hexabot 3 servos");
   monServoA.attach(srvA, 544,2400);
   monServoB.attach(srvB, 544,2400);
   monServoC.attach(srvC, 544,2400);
   monServoA.writeMicroseconds(800);  // zero deg
   monServoB.writeMicroseconds(800);  // zero deg
   monServoC.writeMicroseconds(800);  // zero deg

  randomSeed(analogRead(0));
}
 
void loop()
{
    randNum = random(3);
    sonar(50,echo,trig);           
    if(distance < 45){
    if(randNum == 0){
  go_back(speed);turn_A(speed);}      
    else{
  go_back(speed);turn_B(speed);}} 
   else{
  wakl(speed);
}}

////////////// functions ///////////////

void wakl(int speed){
monServoA.writeMicroseconds(950);               // servos A and B
monServoB.writeMicroseconds(950);delay(speed);
monServoC.writeMicroseconds(1110);delay(speed);   // servo C
monServoA.writeMicroseconds(550);               // servos A and B
monServoB.writeMicroseconds(550);delay(speed);
monServoC.writeMicroseconds(550);delay(speed);    // servo C
}

void go_back(int speed){
monServoA.writeMicroseconds(950);               // servos A and B
monServoB.writeMicroseconds(550);delay(speed);
monServoC.writeMicroseconds(1110);delay(speed);   // servo C
monServoA.writeMicroseconds(550);               // servos A and B
monServoB.writeMicroseconds(950);delay(speed);
monServoC.writeMicroseconds(550);delay(speed);    // servo C
}

void turn_A(int speed){
for(int i = 0; i< 3; i++){
monServoA.writeMicroseconds(950);delay(speed);    // servos A and B
monServoC.writeMicroseconds(1110);delay(speed);   // servo C
monServoA.writeMicroseconds(550);delay(speed);    // servos A and B
monServoC.writeMicroseconds(550);delay(speed);    // servo C
}}

void turn_B(int speed){
for(int i = 0; i< 3; i++){
monServoB.writeMicroseconds(950);delay(speed);
monServoC.writeMicroseconds(1110);delay(speed);   // servo C
monServoB.writeMicroseconds(550);delay(speed);
monServoC.writeMicroseconds(550);delay(speed);    // servo C
}}



